Серіктестерге арналған API › Параметрлер Жеке өңдеу бөлімдерін алу GET /api/crm/v2/team.edit_permission_sections_customv2
operationId: team.editPermissionSectionsCustom
Авторизация api-token + language + role
Сұраныс параметрлері user_id integer міндетті
Пайдаланушының ID; рөл осы бойынша анықталады
Мысал: 1
Жауаптар 200
object
status string міндетті
Мәндер: successerror
Мысал: success
data object
default_permissions array of object
id integer міндетті
Мысал: 572
permission_section_id integer міндетті
Мысал: 112
readonly_enabled boolean міндетті
Мысал: false
slug string міндетті
Мысал: branches
user_permissions array of object
Пайдаланушының жеке бөлімдері
id integer міндетті
Мысал: 572
permission_section_id integer міндетті
Мысал: 112
readonly_enabled boolean міндетті
Мысал: false
slug string міндетті
Мысал: branches
date_expiration oneOf null мәнін қабылдай алады
Қол жеткізу мерзімі UTC бойынша; null — шектеусіз. Мерзімі өткен жазбалар автоматты түрде жойылады.
Бір нұсқа
DataTimeFormatSQL
string (DataTimeFormatSQL)
Мысал: 2024-05-02 08:31:16
selectable_permissions array of object
Өңдеуші таңдай алатын бөлімдер: өңделетін рөлдің әдепкі бөлімдері, сондай-ақ өңдеушінің әдепкі және жеке бөлімдері
id integer міндетті
Мысал: 1
slug string міндетті
Мысал: items
description string міндетті
Мысал: Items
type string міндетті
Мәндер: folderpagelink
Мысал: page
endpoint_only_enabled boolean
Тек page түрі үшін ғана: бөлім API endpoint ретінде бар және бүйірлік мәзірде көрсетілмейді. Оған қолжетімділік кәдімгі бет сияқты беріледі және тексеріледі, сондықтан бөлім рөл мен пайдаланушы құқықтары анықтамалықтарында қалады.
Мысал: false
firm_section_parent_id integer
Мысал: 1
system_section_parent_id integer
Мысал: 1
affiliate_section_parent_id integer
Мысал: 1
sort integer міндетті
Мысал: -1714739780
permission_condition_id integer
Мысал: 2
actions array of object
permission_section_id integer
Мысал: 62
permission_condition_id integer
Мысал: 1
description string
Мысал: view
curl PHP JavaScript Python Көшіру
curl -X GET 'https://foodsoul.pro/api/crm/v2/team.edit_permission_sections_custom?user_id=1' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: kk' \
-H 'role: partner' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'GET' , 'https://foodsoul.pro/api/crm/v2/team.edit_permission_sections_custom?user_id=1' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'kk' ,
'role' => 'partner' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/team.edit_permission_sections_custom?user_id=1" , {
method : "GET" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "kk" ,
"role" : "partner"
},
})
const data = await response . json () import requests
response = requests . request (
"GET" ,
"https://foodsoul.pro/api/crm/v2/team.edit_permission_sections_custom?user_id=1" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "kk" ,
"role" : "partner" ,
},
)
data = response . json () Жауап 200
{
"status" : "success" ,
"data" : {
"default_permissions" : [
{
"id" : 572 ,
"permission_section_id" : 112 ,
"readonly_enabled" : false ,
"slug" : "branches"
}
],
"user_permissions" : [
{
"id" : 572 ,
"permission_section_id" : 112 ,
"readonly_enabled" : false ,
"slug" : "branches" ,
"date_expiration" : "2024-05-02 08:31:16"
}
],
"selectable_permissions" : [
{
"id" : 1 ,
"slug" : "items" ,
"description" : "Items" ,
"type" : "page" ,
"endpoint_only_enabled" : false ,
"firm_section_parent_id" : 1 ,
"system_section_parent_id" : 1 ,
"affiliate_section_parent_id" : 1 ,
"sort" : -1714739780 ,
"zone" : "ru" ,
"permission_condition_id" : 2 ,
"actions" : [
{
"id" : 1 ,
"permission_section_id" : 62 ,
"permission_condition_id" : 1 ,
"action" : "view" ,
"description" : "view"
}
]
}
]
}
} Сұраныстар foodsoul.pro — осы порталдың хостына жіберіледі, басқа хостты таңдау мүмкін емес.